PENTOBI(6)

NAME
pentobi - Computer-Gegner für das Brettspiel Blokus

ÜBERSICHT

pentobi [--maxlevel n] [--mobile] [--nobook] [--nodelay] [--seed n] [--threads n] [--verbose] [Datei.blksgf]

pentobi -h | --help

pentobi -v | --version

BESCHREIBUNG

pentobi ist der Befehl zu Starten des Programms Pentobi, das eine grafische Oberfläche und ein Computer-Gegner für das Brettspiel Blokus ist.

Der Befehl kann den Namen einer Spieldatei als optionales Argument haben, die beim Start geöffnet werden soll. Die Spieldatei muss im Pentobi-SGF-Format sein, wie beschrieben in Pentobi-SGF.md im Quelltextpaket von Pentobi.

OPTIONEN

-h, --help
    Hilfe anzeigen und Programm beenden.

--maxlevel n
    Setzen der maximalen Spielstufe. Wird dieser Wert verkleinert, verringert sich der Speicherbedarf der Suche, was nützlich sein kann, um Pentobi auf Systemen laufen zu lassen, die wenig Speicher besitzen oder zu langsam für die höchsten Spielstufen sind. Standardmäßig belegt Pentobi bis zu 2 GB (aber nicht mehr als ein Viertel des auf dem System verfügbaren physischen Speichers). Ein Verringern der maximalen Spielstufe auf 8 vermindert gegenwärtig den Speicherbedarf um den Faktor 3 bis 4 und geringere maximale Spielstufen sogar noch mehr.

--mobile
    Ein Fensterlayout benutzen, das für Smartphones optimiert ist und einige Änderungen der Benutzerpberfläche vornehmen, die annehmen, dass ein Touchscreen als primäres Eingabegerät verwendet wird. Das Benutzen dieser Option ändert auch den voreingestellen Style für Benutzeroberflächenelemente von QQuickControls 2 nach Default, wenn der Style nicht explizit mit der Option -style gesetzt wird.

--nobook
    Keine Eröffnungsbibliotheken benutzen.

--nodelay
    Computer-Züge nicht verzögern. Voreingestellt ist, dass der Computer-Spieler Züge ein wenig verzögert, die schneller als innerhalb einer Sekunde generiert werden, um es dem Benutzer leichter zu machen, dem Spiel zu folgen, wenn der Computer mehrere Züge nacheinander generiert.

--seed n
    Setzt die Seed für den Zufallszahlengenerator. Eine feste Seed macht die Zuggenerierung deterministisch, falls kein Multi-Threading verwendet wird (siehe Option --threads).

--threads n
    Die Anzahl der Threads, die bei der Suche verwendet werden. Voreingestellt ist, dass die Suche bis zu 8 Threads verwendet, abhängig von Anzahl der auf dem System verfügbaren Hardware-Threads. Mehr Threads machen die Suche schneller, aber eine sehr hohen Anzahl (z. B. mehr als 8) kann die Spielstärke in höheren Spielstufen beeinträchtigen.

--verbose
    Interne Informationen zur Zuggenerierung und andere Debugging-Informationen auf dem Standard-Error-Stream ausgeben.

-v, --version
    Hilfe anzeigen und Programm beenden.

STANDARDOPTIONEN VON QT

Zusätzlich können Optionen verwendet werden, die von Qt-Anwendungen unterstützt werden, wie zum Beispiel:

-display d
    Schaltet unter X11 das Anzeigegerät um.

-geometry g
    Fenstergeometrie in X11-Syntax.

-style s
    Setzen des Style für Benutzeroberflächenelemente von QtQuickControls.

SIEHE AUCH

pentobi-thumbnailer

AUTOR

Markus Enzenberger <enz@users.sourceforge.net>
    Übersetzer.

COPYRIGHT
Copyright © 2019 Markus Enzenberger